using FitConnect.Models;

namespace FitConnect.Interfaces;

public interface IFitConnectClient {
    // public List<SecurityEventToken> GetStatusForSubmission(string caseId, bool skipTest = false);

    /// <summary>
    ///     Receives the SecurityEventTokens for a given case
    /// </summary>
    /// <param name="caseId">ID of the case</param>
    /// <param name="destinationId">Skips signature validation if null!</param>
    /// <param name="skipTest">Specifies if the SET signature test is skipped</param>
    /// <returns>List of the <see cref="SecurityEventToken" /></returns>
    public Task<List<SecurityEventToken>> GetStatusForSubmissionAsync(string caseId,
        string destinationId,
        bool skipTest = false);
}
